#include<string>
#include<ostream>
#ifndef LS_Token_H_
#define LS_Token_H_
//#ifndef _LS_Token_H_
//#define _LS_Token_H_

namespace ls {

	enum TokenType
	{
		ttEof,
		ttOperator,
		ttInteger,
		ttKeyword,
		ttFloat,
		ttString,
		ttIdentifier,
		ttHexnumber,
	};
	struct Token
	{
		TokenType type;
		int line;
		std::string str;

		Token():type(ttEof),line(0)
		{}
	};

	extern const char * keyword_list[20];

	std::ostream & operator<<(std::ostream & os, const Token & tk);
}

//#endif
#endif