#include<istream>
#include"Token.h"

#ifndef LS_Lexer_H_
#define LS_Lexer_H_
namespace ls {
	class IstreamTokenizer {
	public:
		explicit IstreamTokenizer(std::istream & istream)
			:is(&istream){}

		Token get();
	private:
		void getLiteral(Token &);
		void getNumber(Token &);
		void getOperator(Token &);
		void eatSpace();
	private:
		std::istream * is;
		int line;
	};

	std::istream & operator>>(std::istream &, Token &);
}
#endif